//=========================================================================
//Copyright LizardOfOz.
//This is a VERY early version intended to prototype maps.
//Expect things to change over time.
//
//Check the following links for updates:
//   https://tf2maps.net/members/lizardofoz.39426/#resources
//   https://twitter.com/LizardOfOz_
//   https://youtube.com/LizardOfOz
//
//Credits:
//  LizardOfOz - the original VSH Plugin. VSH Vscript recreation.
//  Maxxy, Velly, JPRAS - Saxton Hale's model imitating the Jungle Inferno short.
//  MegapiemanPHD - Hale's voice lines.
//  Yakibomb - give_tf_weapon script bundle (used for Hale's first-person hands model).
//=========================================================================

::IsMercAlive <- function(player)
{
    return IsValidPlayer(player) && IsNotHale(player) && NetProps.GetPropInt(player, "m_lifeState") == 0;
}

function TrySpawnAsMerc(player)
{
    if (!IsMercAlive(player))
        return;
    player.SetCustomModelWithClassAnimations("")
    player.SetGravity(1);
    player.ValidateScriptScope();
    AddThinkToEnt(player, null);
    if (player.GetTeam() != TF_TEAM.MERCS)
    {
        player.ForceChangeTeam(TF_TEAM.MERCS, true);
        player.ForceRespawn();
    }
}
AddListener("spawn", TrySpawnAsMerc, 0);