//=========================================================================
//Copyright LizardOfOz.
//This is a VERY early version intended to prototype maps.
//Expect things to change over time.
//
//Check the following links for updates:
//   https://tf2maps.net/members/lizardofoz.39426/#resources
//   https://twitter.com/LizardOfOz_
//   https://youtube.com/LizardOfOz
//
//Credits:
//  LizardOfOz - the original VSH Plugin. VSH Vscript recreation.
//  Maxxy, Velly, JPRAS - Saxton Hale's model imitating the Jungle Inferno short.
//  MegapiemanPHD - Hale's voice lines.
//  Yakibomb - give_tf_weapon script bundle (used for Hale's first-person hands model).
//=========================================================================

function CacheAssets(void)
{
    PrecacheModel(SAXTON_HALE_MODEL_PATH);
    PrecacheModel(SAXTON_ARMS_MODEL_PATH);

    self.PrecacheSoundScript("VSH.Start");
    self.PrecacheSoundScript("VSH.Slam.Impact");
    self.PrecacheSoundScript("VSH.Rage");
    self.PrecacheSoundScript("DemoCharge.HitFlesh");
    self.PrecacheSoundScript("VSH.Jump");
    self.PrecacheSoundScript("VSH.Intro");
    self.PrecacheSoundScript("VSH.HaleWins");
    self.PrecacheSoundScript("VSH.HaleLoses");

    self.PrecacheSoundScript("VSH.Charge1");
    self.PrecacheSoundScript("VSH.Charge2");
    self.PrecacheSoundScript("VSH.Charge3");
    self.PrecacheSoundScript("VSH.ChargeSFX");
    self.PrecacheSoundScript("VSH.Dash1");
    self.PrecacheSoundScript("VSH.Dash2");
    self.PrecacheSoundScript("VSH.Dash3");
    self.PrecacheSoundScript("VSH.DashSFX");
    self.PrecacheSoundScript("VSH.Punch");
    self.PrecacheSoundScript("VSH.PunchReadyVO");
    self.PrecacheSoundScript("VSH.PunchReadySFX");
}
AddListener("start", CacheAssets, 0);